Skip to main content
GET
/
v2
/
{chain_name}
/
transactions
Get Transactions
curl --request GET \
  --url https://api.data.ormilabs.com/v2/{chain_name}/transactions \
  --header 'Authorization: Bearer <token>'
{ "transactions": [ { "block_hash": "0xfc88f174eb6ab4e4deec01fb6484489659b5515b9229735a6e1a087dc3e2eb3f", "block_number": 22412527, "block_timestamp": "2025-05-04T19:38:11Z", "contract_address": "0x312e67b47a2a29ae200184949093d92369f80b53", "cumulative_gas_used": "2692235", "effective_gas_price": "1000000000", "from_address": "0x290ca4da2c963dea5ae736469a5b8a53d64d4e6a", "gas": "40000", "gas_price": "1000000000", "gas_used": "22901", "input": "0x6874...", "l1_fee": "<string>", "l1_fee_scalar": "<string>", "l1_gas_price": "<string>", "l1_gas_used": "<string>", "max_fee_per_gas": "1000000000", "max_priority_fee_per_gas": "1000000000", "nonce": "132573", "status": 0, "to_address": "0x312e67b47a2a29ae200184949093d92369f80b53", "transaction_hash": "0x94ead602754fb7b4e6a884173ef9f68860e847a43788f5da13f7dbb4922e52ea", "transaction_index": 43, "transaction_type": 2, "value": 0, "value_raw": "0" } ], "next_cursor": "ICJkYXNkYXMifQ==" }

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Query Parameters

window
string

Specifies time or block range for the query. The format can be a relative duration like 30d or 12h. Or interval of time 2025-08-20T00:00:00Z..2025-08-26T12:00:00Z. Or range of blocks 18000000..18000100.

sort_by
enum<string>
default:latest

Sort order for results.

Available options:
latest,
earliest
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination to retrieve the next set of results.

Response

Successfully retrieved transactions.

transactions
object[]
required
next_cursor
string
Example:

"ICJkYXNkYXMifQ=="